#include "screenManager.h"

using namespace std;
using namespace quokka_gfx;
//------------------------------------------------------------
/* Constructor */
ScreenTransition::ScreenTransition(ScreenManager *screenManager)
{
  m_screenManager = screenManager;
}
//------------------------------------------------------------
/* Get the current state of the screen transition */
ScreenTransition::State ScreenTransition::getState() const
{
  return m_state;
}
//------------------------------------------------------------
/* Get the progress of the screen transition (0.0 to 1.0) */
float ScreenTransition::getProgress() const
{
  return m_progress;
}
//------------------------------------------------------------
/* Manage the transition between screens, updating the current screen */
void ScreenTransition::update(double deltaTime)
{
}
//------------------------------------------------------------
/* Render the transition between screens, rendering the current screen */
void ScreenTransition::render(RendererManager *renderer)
{
}
//------------------------------------------------------------
